fcoll.h File Reference

Header file that defines FileCollection. More...

`#include "zipios++/zipios-config.h"`
`#include <vector>`
`#include <string>`
`#include "zipios++/fcollexceptions.h"`
`#include "zipios++/fileentry.h"`
Include dependency graph for fcoll.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | zipios::FileCollection
| FileCollection is an abstract baseclass that represents a collection of files. More...

## Functions

ostream & | zipios::operator<< (ostream &os, const FileCollection &collection)

## Detailed Description

Header file that defines FileCollection.

Definition in file fcoll.h.

## Function Documentation

## operator<<()

ostream & zipios::operator<< | ( | ostream & | os,
|  | const FileCollection & | collection )

inline

Definition at line 139 of file fcoll.h.